:: Bloated Antivirus App Detector
:: Uncomment following command to skip this feature.

goto eof

:: Tencent PC Manager Detection
tasklist | findstr "QMDL QQPCRealTimeSpeedup QQPCRTP QQPCTray" > nul
if %errorlevel%==0 (
echo.
echo %wav0001%
pause
for /f "tokens=2* delims= " %%A in ('reg query "HKLM\Software\Microsoft\Windows\CurrentVersion\Uninstall\QQPCMgr" /v UninstallString') do %%B
)

:: 360 Total Security Detection
tasklist | findstr "360rp 360sd 360tray QHActiveDefense QHSafeMain QHSafeTray QHWatchdog ZhuDongFangYu" > nul
if %errorlevel%==0 (
echo.
echo %wav0002%
)

:: 2345 Security Detection
tasklist | findstr "2345RTProtect 2345SafeCenterSvc 2345SafeSvc 2345SafeTray" > nul
if %errorlevel%==0 (
echo.
echo %wav0003%
)

:: Kingsoft Antivirus Detection
tasklist | findstr "kxestore kxetray" > nul
if %errorlevel%==0 (
echo.
echo %wav0004%
)

:eof